using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Character : MonoBehaviour
{
    // Start is called before the first frame update

    Rigidbody2D myRidigBody2D;

    [SerializeField]
    private float speed;

    [SerializeField]
    private float jump;

    [SerializeField]
    private movementType currentMovementType = movementType.top;

    private enum movementType
	{
        top, side
	}


    void Start()
    {
        myRidigBody2D = GetComponent<Rigidbody2D>();
    }

    // Update is called once per frame
    void Update()
    {
        if(currentMovementType == movementType.top)
		{
            if (Input.GetKey(KeyCode.W))
            {
                Debug.Log("W: " + speed * Time.deltaTime);
                myRidigBody2D.velocity += new Vector2(0, speed * Time.deltaTime);
            }
            if (Input.GetKey(KeyCode.S))
            {
                myRidigBody2D.velocity += new Vector2(0, -speed * Time.deltaTime);
            }
            if (Input.GetKey(KeyCode.A))
            {
                myRidigBody2D.velocity += new Vector2(-speed * Time.deltaTime, 0);
            }
            if (Input.GetKey(KeyCode.D))
            {
                myRidigBody2D.velocity += new Vector2(speed * Time.deltaTime, 0);
            }
        }
        else if(currentMovementType == movementType.side)
		{
            if(Input.GetKeyDown(KeyCode.Space))
			{
                myRidigBody2D.velocity += new Vector2(0, jump);
            }

            if (Input.GetKey(KeyCode.A))
            {
                myRidigBody2D.velocity += new Vector2(-speed * Time.deltaTime, 0);
            }
            if (Input.GetKey(KeyCode.D))
            {
                myRidigBody2D.velocity += new Vector2(speed * Time.deltaTime, 0);

            }
        }


    }
}
